#include <fstream>
#include <vector>

using namespace std;

long long power(long long &x, long long y)
{
	if (y == 1)
	{
		return x;
	}
	return x * power(x, y - 1);
}
long long U (long long n, long long i)
{
	if (n == 0)
	{
		return 0;
	}
	return power(n, i) + U(n - 1, i);
}
int main()
{
	ifstream input("DQU.inp");
	ofstream output("DQU.out");
	long long x, y;
	input >> x >> y;
	output << U(x, y);
	input.close();
	output.close();
	return 0;
}